# Retrieve parsing

Retrieve a parsing by ID.

Related endpoints:

* List parsings
* Create extract

Endpoint: GET /v0/parsing/{id}
Security: ApiKeyAuth

## Path parameters:

  - `id` (string, required)
    The UUID of the parsing.

## Response 200 fields (application/json):

  - `id` (string, required)
    Example: "300f339f-da71-4f9f-80f6-c25a63baae75"

  - `document` (object, required)

  - `document.id` (string, required)
    Example: "300f339f-da71-4f9f-80f6-c25a63baae75"

  - `document.filename` (string, required)
    Example: "invoice.pdf"

  - `document.file_url` (string,null)
    Example: "/v0/documents/300f339f-da71-4f9f-80f6-c25a63baae75/download"

  - `document.metadata` (object, required)
    Example: {"source":"api"}

  - `document.page_count` (integer, required)
    Example: 3

  - `document.created_at` (string, required)
    Example: "2025-06-12T14:56:10.682461Z"

  - `document.updated_at` (string, required)
    Example: "2025-06-12T14:56:10.682461Z"

  - `picture_description_enabled` (boolean, required)

  - `table_verification_enabled` (boolean, required)

  - `model` (string, required)
    * PIGALLE - Pigalle
* PIGALLE_LITE - Pigalle Lite
    Enum: "PIGALLE", "PIGALLE_LITE"

  - `pictures` (array, required)

  - `pictures.id` (string, required)
    Example: "300f339f-da71-4f9f-80f6-c25a63baae75"

  - `pictures.parsing` (string, required)
    Example: "300f339f-da71-4f9f-80f6-c25a63baae75"

  - `pictures.name` (string,null)
    Example: "_page_0_Picture_15.jpeg"

  - `pictures.picture` (string,null)
    Example: "/pipelines/documents/example-picture.jpeg"

  - `pictures.page_index` (integer, required)

  - `pictures.bbox` (object,null)

  - `pictures.description` (string,null)
    Example: "Company logo detected in the document."

  - `pictures.created_at` (string, required)
    Example: "2025-06-12T14:56:10.682461Z"

  - `ocr_content` (object,null)

  - `markdown_content` (string,null)
    Example: "# Invoice\n\nInvoice number: INV-2026-001"

  - `pages_total` (integer, required)
    Example: 3

  - `pages_success` (integer, required)

  - `pages_failed` (integer, required)

  - `status` (string, required)
    * IN_QUEUE - In queue
* IN_PROGRESS - In progress
* FINISHED - Finished
* PARTIAL_FINISHED - Partial finished
* ERROR - Error
    Enum: "IN_QUEUE", "IN_PROGRESS", "FINISHED", "PARTIAL_FINISHED", "ERROR"

  - `metadata` (object,null)
    Example: {"source":"api"}

  - `error` (string,null)

  - `created_at` (string, required)
    Example: "2025-06-12T14:56:10.682461Z"

  - `updated_at` (string, required)
    Example: "2025-06-12T14:56:10.682461Z"

## Response 401 fields (application/json):

  - `detail` (string, required)
    Example: "Invalid API key"

## Response 404 fields (application/json):

  - `detail` (string, required)
    Example: "Parsing not found."


